
(function($) {
    "use strict";
    $(document).ready(function () {
        $('html').addClass('isg-loading-overflow-hidden');
        if (dvloading_vars.animationstyle == 'text' || dvloading_vars.animationstyle == '') {
            $('#isg-page-loading').find('#isg-loading-text').addClass('start-animation');
        }
        if (dvloading_vars.animationstyle == 'image') {
            $('#isg-loading-image').addClass('animated ' + dvloading_vars.imageduration + ' infinite ' + dvloading_vars.imageanimation);
            $('#isg-loading-gif').addClass('animated ' + dvloading_vars.imageduration + ' infinite ' + dvloading_vars.imageanimation);
        }
        if (dvloading_vars.barplacement != 'hide') {
            $('#isg-page-loading').find('#isg-loading-bar').addClass('start-animation');
        }
        if (dvloading_vars.showcounter == 'enable') {
            $('#isg-percentage span').countTo({
                from: 0,
                to: 90,
                speed: 5000,
                refreshInterval: 50
            });
        }
        if (dvloading_vars.showskip == 'enable') {
            setTimeout(function(){
                $('#isg-skip-text').find('#isg-skip-inner').fadeIn();
            }, parseInt(dvloading_vars.skipdelay));
        }
    });

    $(window).on('load', function () {
        if (dvloading_vars.animationstyle == 'text' || dvloading_vars.animationstyle == '') {
            $('#isg-page-loading').find('#isg-loading-text').addClass('stop-animation');
            $('#isg-page-loading').find('#isg-loading-sub-text').addClass('loaded-subtitle');
        }
        if (dvloading_vars.barplacement != 'hide') {
            $('#isg-page-loading').find('#isg-loading-bar').addClass('stop-animation');
        }
        if (dvloading_vars.showcounter == 'enable') {
            $('#isg-percentage span').countTo({
                from: 90,
                to: 100,
                speed: 1000,
                refreshInterval: 50
            });
        }
        if (dvloading_vars.testmode != 'enable') {
            setTimeout(function(){
                $('html').removeClass('isg-loading-overflow-hidden');
                if (dvloading_vars.transition == 'enable') {
                    $('#isg-page-loading').addClass('animated ' + dvloading_vars.pagetransition);
                    setTimeout(function(){
                        $('#isg-page-loading').hide();
                    }, 1000);
                } else {
                    $('#isg-page-loading').fadeOut(500);
                }
            }, 1200);
        }
    });   

    if (dvloading_vars.showskip == 'enable') {
        $("#isg-skip-inner").on('click', function () {
            $('html').removeClass('isg-loading-overflow-hidden');
            if (dvloading_vars.transition == 'enable') {
                $('#isg-page-loading').addClass('animated ' + dvloading_vars.pagetransition);
                setTimeout(function(){
                    $('#isg-page-loading').hide();
                }, 1000);
            } else {
                $('#isg-page-loading').fadeOut(500);
            }
        });
    }
})(jQuery);