<div id="isg-page-loading" style="display:block;">
    <div id="isg-loading-table">
        <div id="isg-loading-cell">
            <?php if (($animationstyle == 'text') || (empty($animationstyle))) { ?>
            <div id="isg-loading-text" data-content="<?php echo esc_attr($titletext); ?>"><?php echo esc_html($titletext); ?></div>
                <?php if (!empty($subtitletext)) { ?>
                    <div id="isg-loading-sub-text"><?php echo esc_html($subtitletext); ?></div> 
                <?php }
            } else {
                if (empty($customimage)) { ?>
                <div id="isg-loading-gif">
                    <img src="<?php echo esc_url(plugin_dir_url( __FILE__ ) . 'images/128/' . $animatedgif . '.gif' ); ?>" alt="<?php echo esc_attr($titletext); ?>" />
                </div>
                <?php } else { ?>
                <div id="isg-loading-image">
                    <?php
                    if ($customimage) {
                        echo '<img src="' . $customimage . '" />';
                    }
                    ?>
                </div>
                <?php }
            } ?>      
        </div>
    </div>
    <?php if ($barplacement != 'hide') { ?>
    <div id="isg-loading-bar" class="<?php echo esc_attr($barplacement); ?>"></div>
    <?php } ?>
    <?php if ($showskip == 'enable') { ?>
    <div id="isg-skip-text" class="<?php echo esc_attr($skipplacement); ?>">
        <div id="isg-skip-inner"><?php echo esc_html($skiptext); ?></div>
    </div>
    <?php } ?>
    <?php if ($showcounter == 'enable') { ?>
    <div id="isg-percentage" class="<?php echo esc_attr($counterplacement); ?>">
        <div id="isg-percentage-inner">
            <span></span>%
        </div>
    </div>
    <?php } ?>
</div>